# Vanda API Quickstart Guide

Vanda is an independent research house that provides concise tactical macroeconomic and investment strategy analysis to institutional investors. Vanda adopts a cross-asset and cross-geography approach combining investor positioning, expectation and mass-market psychology to deliver outstanding macro insight over a 0-3 month time frame.

## Step 1: Get Your API Key

1. Authenticate yourself using our auth endpoint to get the bearer token. Replace the contents of `email` and `password` with your credentials.



```
curl -X POST https://api.vanda-analytics.com/auth/basic \

-H "Content-Type: application/json" \

-d '{"email":testuser@test.com,"password":"Test1234!"}'
```

1. Use the bearer access token to access all of our other endpoints


Your bearer token is required to authenticate all API requests.

## Step 2: Make Your First API Request

Let's start by making a simple request to the series API.

### Access latest timeseries data

Use the following `curl` command to get latest data point for multiple identifiers:


```bash
curl -i -X GET \
  'https://wys-01k9s5f1ha2rj4n7q7v0kz5pet.wysiwyg.cloud.redocly.com/_mock/apis/vanda-msvc-series/series/timeseries/latest?identifiers=string&interval=1d&fields=price' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'
```

- **`identifiers`**: List of identifiers
- **`interval`**: Interval of data, e.g. "10min", "30min", "1h", "3h", "1d", "1w", "1m", "1y"
- **`fields`**: Field(s) to retrieve, e.g. "price", "buy_turnover", "sell_turnover", "net_turnover", "total_turnover"